Get advertiser account
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"linkId": "<string>",
"accountId": "<string>",
"name": "<string>",
"advertiser": "<string>",
"billingProxy": "<string>",
"house": "<string>",
"billing": "<string>",
"sources": [
{}
],
"advertiserId": "<string>",
"status": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"credentialId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Advertisers
Get advertiser account
Get a single linked sales-agent account on an advertiser by its account id.
GET
/
advertisers
/
{advertiserId}
/
accounts
/
{accountId}
Get advertiser account
curl --request GET \
--url https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{accountId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{accountId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/buyer/advertisers/{advertiserId}/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"linkId": "<string>",
"accountId": "<string>",
"name": "<string>",
"advertiser": "<string>",
"billingProxy": "<string>",
"house": "<string>",
"billing": "<string>",
"sources": [
{}
],
"advertiserId": "<string>",
"status": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"credentialId": "<string>"
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Unique identifier for the advertiser
Minimum string length:
1Example:
"12345"
Unique identifier for the account
Minimum string length:
1Example:
"acc_67890"
Response
Get advertiser account
Show child attributes
Show child attributes